Jack2: Jack::JackLinuxFutex Class Reference

Jack2 1.9.12

Classes | Public Member Functions | Protected Member Functions | List of all members
Jack::JackLinuxFutex Class Reference

Inter process synchronization using Linux futex. More...

`#include <JackLinuxFutex.h>`

Inheritance diagram for Jack::JackLinuxFutex:

## Public Member Functions
bool | Signal ()
bool | SignalAll ()
bool | Wait ()
bool | TimedWait (long usec)
bool | Allocate (const char *name, const char *server_name, int value, bool internal=false)
bool | Connect (const char *name, const char *server_name)
bool | ConnectInput (const char *name, const char *server_name)
bool | ConnectOutput (const char *name, const char *server_name)
bool | Disconnect ()
void | Destroy ()
void | MakePrivate (bool priv)
Public Member Functions inherited from Jack::detail::JackSynchro
bool | Signal ()
bool | SignalAll ()
bool | Wait ()
bool | TimedWait (long usec)
bool | Allocate (const char *name, const char *server_name, int value)
bool | Connect (const char *name, const char *server_name)
bool | ConnectInput (const char *name, const char *server_name)
bool | ConnectOutput (const char *name, const char *server_name)
bool | Disconnect ()
void | Destroy ()
void | SetFlush (bool mode)

## Protected Member Functions
void | BuildName (const char *name, const char *server_name, char *res, int size)

## Additional Inherited Members
Protected Attributes inherited from Jack::detail::JackSynchro
char | fName [SYNC_MAX_NAME_SIZE]
bool | fFlush

## Detailed Description

Inter process synchronization using Linux futex.

Based on the JackPosixSemaphore class. Adapted to work with linux futex to be as light as possible and also work in multiple architectures.

Adds a new 'MakePrivate' function that makes the sync happen in the local process only, making it even faster for internal clients.

Definition at line 41 of file JackLinuxFutex.h.

The documentation for this class was generated from the following files:

- JackLinuxFutex.h
- JackLinuxFutex.cpp